package com.njcn.pojo.configuration;

import java.io.Serializable;
import java.util.Date;

/**
 * @Auther denghuajun
 * @Date 2021/8/18
 * @describe 暂降推送消息日志
 */
public class EventPushLogsDetail implements Serializable {
    /*暂降发生时间 */
    private Date timeId;
    private String eventDetaileIndex;
    private int lineId;
    private String gdName;
    private String subName;
    private String lineName;
    //特征幅值
    private Double eventValue;
    /* *持续时间(单位：S)*/
    private Double persistTime;
    /*首次推送时间*/
    private Date creatTime;
    private Date updateTime;
    private Date userUpdateTime;
    private int pushfailed;
    private int result;

    public Date getTimeId() {
        return timeId;
    }

    public void setTimeId(Date timeId) {
        this.timeId = timeId;
    }

    public String getGdName() {
        return gdName;
    }

    public void setGdName(String gdName) {
        this.gdName = gdName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public Double getEventValue() {
        return eventValue;
    }

    public void setEventValue(Double eventValue) {
        this.eventValue = eventValue;
    }

    public Double getPersistTime() {
        return persistTime;
    }

    public void setPersistTime(Double persistTime) {
        this.persistTime = persistTime;
    }

    public Date getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(Date creatTime) {
        this.creatTime = creatTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getUserUpdateTime() {
        return userUpdateTime;
    }

    public void setUserUpdateTime(Date userUpdateTime) {
        this.userUpdateTime = userUpdateTime;
    }

    public int getPushfailed() {
        return pushfailed;
    }

    public void setPushfailed(int pushfailed) {
        this.pushfailed = pushfailed;
    }

    public int getResult() {
        return result;
    }

    public void setResult(int result) {
        this.result = result;
    }

    public String getEventDetaileIndex() {
        return eventDetaileIndex;
    }

    public void setEventDetaileIndex(String eventDetaileIndex) {
        this.eventDetaileIndex = eventDetaileIndex;
    }

    public int getLineId() {
        return lineId;
    }

    public void setLineId(int lineId) {
        this.lineId = lineId;
    }
}
